Subject: Re: [Supa] minutes of the 5/26 SUPA call

From: Benoit Claise <[email-masked]>
Date: Mon, 01 Jun 2015 07:31:27 -0700

Dear all,
>
> Hi,
>
> Please find below the meeting notes from the SUPA call on 5/26. Please 
> let me know if anything important is missing, or I caught it wrongly.
>
> Thanks and Regards,
>
> Dan
>
> --------------------------------
>
> Initial agenda:
>
> 1. Note Well, logistics, agenda bashing (chairs, 0 min)
>
> 2. Updated charter (Juergen/John, 20 min)
>
> 3. How does the framework improve and simplify existing work – for 
> example in routing, or ACLs. (John/Juergen, 20 min)
>
> 4. Steering (Benoit, 20 min)
>
> 2. Tina and Dan reported on discussions with Benoit during the last 
> week. Benoit feels now more comfortable with the scope of work, but 
> his opinion is that the charter is still hard to read for somebody not 
> familiar with the previous discussions, and the scope of work does not 
> appear evident from the charter. His advice is that the team works to 
> simplify the charter text and include some of the discussions related 
> to ‘critical questions’ in order to make the scope and deliverables 
> appear clear in a manner simple to understand for people not familiar 
> with the work, and also explain relations with other WGs work as well 
> as how other WGs will relate and use this work.
>
> Benoit also advised to create a wiki where the principal discussions 
> can be documented in a Q&A format.
>
> Benoit delegated the co-chairs of the BOF to go ahead and submit a 
> request for a WG-forming BOF in the wiki if they feel comfortable that 
> the team made enough progress in focusing the scope and deliverables 
> and writing a more clear charter.
>
> John and Juergen will make another pass on the charter text, provide 
> new improved version to be included in the BOF request.
>
> Giorgios and the other authors will work to update the problem 
> statement I-D until the end of the next week, so that an update 
> version can be ready together with the other materials to support the 
> BOF request.
>
> 3. John shared notes from reading and reviewing the DiffServ Policy 
> I-D form NETMOD. It contains very little policy stuff, the way SUPA 
> approaches policy. Dan asked what would be different if the SUPA work 
> already existed. John replied that the Information Model would provide 
> the basic constructs and objects for defining policies, and this would 
> allow for the DiffServ model to be smaller and more consistent, avoid 
> duplication and definition of many non-reusable objects.   Dan 
> observed that this could be a good example of Q&A to be included in 
> the wiki page.
>
I don't find back this point in the current charter.
This is my point when I wrote in a previous email:

    1.
    Question to the group:

        Policies embedded in the configuration of network elements are
        not the
        scope of SUPA. Below are some examples of embedded policies that are
        not in the scope of SUPA:

           - packet filtering policies
           - packet marking and scheduling policies
           - route imported and export policies
           - authorization policies (configured on network elements)

    Maybe I misunderstood, but I thought I understood that the
    principles (and models) behind ECA could be reused in the future
    "Policies embedded in the configuration of network elements"?

You should make up your mind if this is a charter goal.

> John suggested that some of the policy data modelling work done in 
> other WGs could be moved to SUPA. Dan responded that this does not 
> seem to be realistic, as other WGs are already chartered and work is 
> ongoing, with their own schedules. Sue agreed and observed that the 
> data models work in the routing area is proceeding and cannot wait for 
> SUPA to define the generic model.
>
+1 to Dan and Sue.
I added to the WIKI
     Q3: Should the different policy modelling efforts in the IETF halt 
until the SUPA deliverables are completed?

Clearly the answer should be "no"

Regards, Benoit
>
> The BGP data model is cornerstone for work done by all other modeling 
> efforts in I2RS, IVR, TESS. Mid-June is the milestone for providing 
> significant input. SUPA should proceed as fast as it can with the 
> abstract framework, but it would be a concurrent effort at best that 
> needs collaboration and synchronization.
>
> 4. Benoit could not attend the call, but we discussed his comments and 
> advice to Tina and Dan.
>
> Tina entered a request for a wiki page. Dan suggested to make it 
> accessible to all participants in the SUPA work and in the IETF, so 
> that it can become an interactive page for sharing information. Sue 
> agrees and suggested that separate sections or children pages can be 
> dedicated to specific policy work in other WGs. Dan is fine with the 
> proposal, and encourages other WG participants to ask questions and 
> contribute with material. Sue will distribute information about the 
> wiki as soon as it becomes available. Dan will write some of the 
> initial content based on the responses to the ‘critical questions’.
>
> John, Max and Sue will work on the review of the policy models from 
> I2RS. Will be presented in the call next Monday.
>
> Juergen observed that there is need to consolidate some of the 
> information and content of the current I-Ds. Dan pointed to the 
> documents related to the distributed data center use case. These need 
> consolidation, as we need to decide soon whether they stay in the 
> deliverables list (currently #5). Right now the focus is on #1, #2, #3.
>
>
>
> _______________________________________________
> Supa mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/supa